> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/line-items/{line-item-id}/product-buttons/{product-button-id}

> Delete Specific Product Button



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json delete /preview/retail-media/line-items/{line-item-id}/product-buttons/{product-button-id}
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/line-items/{line-item-id}/product-buttons/{product-button-id}:
    delete:
      tags:
        - Campaign
      summary: >-
        /preview/retail-media/line-items/{line-item-id}/product-buttons/{product-button-id}
      description: Delete Specific Product Button
      operationId: DeleteProductButtonByLineItemAndProductButtonId
      parameters:
        - name: line-item-id
          in: path
          description: LineItemId for productButton delete
          required: true
          schema:
            type: string
        - name: product-button-id
          in: path
          description: productButtonId used for delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ProductButton deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductButtonResponseListResponse'
      security:
        - oauth:
            - RetailMedia_Campaign_Manage
components:
  schemas:
    ProductButtonResponseListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ResourceOfProductButtonResponse'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        entities
      nullable: true
    ResourceOfProductButtonResponse:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/ProductButtonResponse'
        id:
          type: string
          description: Id of the entity
          nullable: true
        type:
          type: string
          description: Canonical type name of the entity
          nullable: true
      description: A class that represents a domain entity exposed by an API
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    ProductButtonResponse:
      required:
        - name
        - backgroundImage
        - rank
        - isMandatory
        - skus
      type: object
      properties:
        backgroundImage:
          type: string
          description: URL of the background image
        isMandatory:
          type: integer
          description: If the Product Button is Mandatory
          format: int32
        name:
          type: string
          description: Name of the Product Button
        rank:
          type: integer
          description: Rank of the Product Button
          format: int32
        skus:
          type: array
          items:
            type: string
          description: List of skus on the Product Button
      description: The Product Button entity
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````